Index: code/branches/core7/src/modules/objects/collisionshapes/BoxCollisionShape.cc
===================================================================
--- code/branches/core7/src/modules/objects/collisionshapes/BoxCollisionShape.cc	(revision 10411)
+++ code/branches/core7/src/modules/objects/collisionshapes/BoxCollisionShape.cc	(revision 10417)
@@ -58,11 +58,4 @@
     }
 
-    BoxCollisionShape::~BoxCollisionShape()
-    {
-        // TODO: Move to CollisionShape?
-        if (this->isInitialized())
-            delete this->collisionShape_;
-    }
-
     void BoxCollisionShape::registerVariables()
     {
Index: code/branches/core7/src/modules/objects/collisionshapes/BoxCollisionShape.h
===================================================================
--- code/branches/core7/src/modules/objects/collisionshapes/BoxCollisionShape.h	(revision 10411)
+++ code/branches/core7/src/modules/objects/collisionshapes/BoxCollisionShape.h	(revision 10417)
@@ -58,5 +58,4 @@
         public:
             BoxCollisionShape(Context* context);
-            virtual ~BoxCollisionShape();
 
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
Index: code/branches/core7/src/modules/objects/collisionshapes/ConeCollisionShape.cc
===================================================================
--- code/branches/core7/src/modules/objects/collisionshapes/ConeCollisionShape.cc	(revision 10411)
+++ code/branches/core7/src/modules/objects/collisionshapes/ConeCollisionShape.cc	(revision 10417)
@@ -54,10 +54,4 @@
     }
 
-    ConeCollisionShape::~ConeCollisionShape()
-    {
-        if (this->isInitialized())
-            delete this->collisionShape_;
-    }
-
     /**
     @brief
Index: code/branches/core7/src/modules/objects/collisionshapes/ConeCollisionShape.h
===================================================================
--- code/branches/core7/src/modules/objects/collisionshapes/ConeCollisionShape.h	(revision 10411)
+++ code/branches/core7/src/modules/objects/collisionshapes/ConeCollisionShape.h	(revision 10417)
@@ -56,5 +56,4 @@
         public:
             ConeCollisionShape(Context* context);
-            virtual ~ConeCollisionShape();
 
         private:
Index: code/branches/core7/src/modules/objects/collisionshapes/CylinderCollisionShape.cc
===================================================================
--- code/branches/core7/src/modules/objects/collisionshapes/CylinderCollisionShape.cc	(revision 10411)
+++ code/branches/core7/src/modules/objects/collisionshapes/CylinderCollisionShape.cc	(revision 10417)
@@ -54,10 +54,4 @@
     }
 
-    CylinderCollisionShape::~CylinderCollisionShape()
-    {
-        if (this->isInitialized())
-            delete this->collisionShape_;
-    }
-
     /**
     @brief
Index: code/branches/core7/src/modules/objects/collisionshapes/CylinderCollisionShape.h
===================================================================
--- code/branches/core7/src/modules/objects/collisionshapes/CylinderCollisionShape.h	(revision 10411)
+++ code/branches/core7/src/modules/objects/collisionshapes/CylinderCollisionShape.h	(revision 10417)
@@ -53,5 +53,4 @@
         public:
             CylinderCollisionShape(Context* context);
-            virtual ~CylinderCollisionShape();
 
         private:
Index: code/branches/core7/src/modules/objects/collisionshapes/PlaneCollisionShape.cc
===================================================================
--- code/branches/core7/src/modules/objects/collisionshapes/PlaneCollisionShape.cc	(revision 10411)
+++ code/branches/core7/src/modules/objects/collisionshapes/PlaneCollisionShape.cc	(revision 10417)
@@ -59,10 +59,4 @@
     }
 
-    PlaneCollisionShape::~PlaneCollisionShape()
-    {
-        if (this->isInitialized())
-            delete this->collisionShape_;
-    }
-
     void PlaneCollisionShape::registerVariables()
     {
Index: code/branches/core7/src/modules/objects/collisionshapes/PlaneCollisionShape.h
===================================================================
--- code/branches/core7/src/modules/objects/collisionshapes/PlaneCollisionShape.h	(revision 10411)
+++ code/branches/core7/src/modules/objects/collisionshapes/PlaneCollisionShape.h	(revision 10417)
@@ -58,5 +58,4 @@
         public:
             PlaneCollisionShape(Context* context);
-            virtual ~PlaneCollisionShape();
 
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
Index: code/branches/core7/src/modules/objects/collisionshapes/SphereCollisionShape.cc
===================================================================
--- code/branches/core7/src/modules/objects/collisionshapes/SphereCollisionShape.cc	(revision 10411)
+++ code/branches/core7/src/modules/objects/collisionshapes/SphereCollisionShape.cc	(revision 10417)
@@ -58,10 +58,4 @@
     }
 
-    SphereCollisionShape::~SphereCollisionShape()
-    {
-        if (this->isInitialized())
-            delete this->collisionShape_;
-    }
-
     void SphereCollisionShape::registerVariables()
     {
Index: code/branches/core7/src/modules/objects/collisionshapes/SphereCollisionShape.h
===================================================================
--- code/branches/core7/src/modules/objects/collisionshapes/SphereCollisionShape.h	(revision 10411)
+++ code/branches/core7/src/modules/objects/collisionshapes/SphereCollisionShape.h	(revision 10417)
@@ -56,5 +56,4 @@
         public:
             SphereCollisionShape(Context* context);
-            virtual ~SphereCollisionShape();
 
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);