Index: /code/branches/core7/src/libraries/network/NetworkFunction.h
===================================================================
--- /code/branches/core7/src/libraries/network/NetworkFunction.h	(revision 10464)
+++ /code/branches/core7/src/libraries/network/NetworkFunction.h	(revision 10465)
@@ -36,6 +36,4 @@
 #include <map>
 #include <string>
-#include <boost/preprocessor/cat.hpp>
-#include <boost/static_assert.hpp>
 
 #include "core/object/Listable.h"
@@ -237,43 +235,5 @@
 }
 
-template<class T> inline void* registerStaticNetworkFunctionFct( T ptr, const std::string& name )
-{
-  BOOST_STATIC_ASSERT( sizeof(T)<=sizeof(NetworkFunctionPointer) ); // if this fails your compiler uses bigger pointers for static functions than defined above
-  NetworkFunctionPointer destptr;
-  copyPtr( ptr, destptr );
-  new NetworkFunctionStatic( createFunctor(ptr), name, destptr );
-  return 0;
 }
 
-template<class T, class PT> inline void* registerMemberNetworkFunctionFct( PT ptr, const std::string& name )
-{
-  BOOST_STATIC_ASSERT( sizeof(PT)<=sizeof(NetworkFunctionPointer) ); // if this fails your compiler uses bigger pointers for a specific kind of member functions than defined above
-  NetworkFunctionPointer destptr;
-  copyPtr( ptr, destptr );
-  new NetworkMemberFunction<T>( createFunctor(ptr), name, destptr );
-  return 0;
-}
-
-#define registerStaticNetworkFunction( functionPointer ) \
-  static void* BOOST_PP_CAT( NETWORK_FUNCTION_, __UNIQUE_NUMBER__ ) = registerStaticNetworkFunctionFct( functionPointer, #functionPointer );
-#define registerMemberNetworkFunction( class, function ) \
-  static void* BOOST_PP_CAT( NETWORK_FUNCTION_##class, __UNIQUE_NUMBER__ ) = registerMemberNetworkFunctionFct<class>( &class::function, #class "_" #function);
-  // call it with functionPointer, clientID, args
-#define callStaticNetworkFunction( functionPointer, ...) \
-  { \
-    NetworkFunctionPointer p1; \
-    copyPtr( functionPointer, p1 ); \
-    FunctionCallManager::addCallStatic(NetworkFunctionStatic::getFunction(p1)->getNetworkID(), __VA_ARGS__); \
-  }
-  // call it with class, function, objectID, clientID, args
-#define callMemberNetworkFunction( class, function, objectID, ...) \
-  { \
-    NetworkFunctionPointer p1; \
-    copyPtr( &class::function, p1 ); \
-    FunctionCallManager::addCallMember(NetworkMemberFunctionBase::getFunction(p1)->getNetworkID(), objectID, __VA_ARGS__); \
-  }
-
-
-}
-
 #endif /* _NetworkFunction_H__ */
Index: /code/branches/core7/src/libraries/network/NetworkFunctionIncludes.h
===================================================================
--- /code/branches/core7/src/libraries/network/NetworkFunctionIncludes.h	(revision 10465)
+++ /code/branches/core7/src/libraries/network/NetworkFunctionIncludes.h	(revision 10465)
@@ -0,0 +1,83 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss
+ *   Co-authors:
+ *      Fabian 'x3n' Landau
+ *
+ */
+
+#ifndef _NetworkFunctionIncludes_H__
+#define _NetworkFunctionIncludes_H__
+
+#include "NetworkPrereqs.h"
+
+#include <boost/preprocessor/cat.hpp>
+#include <boost/static_assert.hpp>
+
+#include "NetworkFunction.h"
+
+namespace orxonox
+{
+    #define registerStaticNetworkFunction( functionPointer ) \
+        static void* BOOST_PP_CAT( NETWORK_FUNCTION_, __UNIQUE_NUMBER__ ) = registerStaticNetworkFunctionFct( functionPointer, #functionPointer );
+
+    #define registerMemberNetworkFunction( class, function ) \
+        static void* BOOST_PP_CAT( NETWORK_FUNCTION_##class, __UNIQUE_NUMBER__ ) = registerMemberNetworkFunctionFct<class>( &class::function, #class "_" #function);
+
+    // call it with functionPointer, clientID, args
+    #define callStaticNetworkFunction( functionPointer, ...) \
+        { \
+            NetworkFunctionPointer p1; \
+            copyPtr( functionPointer, p1 ); \
+            FunctionCallManager::addCallStatic(NetworkFunctionStatic::getFunction(p1)->getNetworkID(), __VA_ARGS__); \
+        }
+
+    // call it with class, function, objectID, clientID, args
+    #define callMemberNetworkFunction( class, function, objectID, ...) \
+        { \
+            NetworkFunctionPointer p1; \
+            copyPtr( &class::function, p1 ); \
+            FunctionCallManager::addCallMember(NetworkMemberFunctionBase::getFunction(p1)->getNetworkID(), objectID, __VA_ARGS__); \
+        }
+
+    template<class T> inline void* registerStaticNetworkFunctionFct( T ptr, const std::string& name )
+    {
+        BOOST_STATIC_ASSERT( sizeof(T)<=sizeof(NetworkFunctionPointer) ); // if this fails your compiler uses bigger pointers for static functions than defined above
+        NetworkFunctionPointer destptr;
+        copyPtr( ptr, destptr );
+        new NetworkFunctionStatic( createFunctor(ptr), name, destptr );
+        return 0;
+    }
+
+    template<class T, class PT> inline void* registerMemberNetworkFunctionFct( PT ptr, const std::string& name )
+    {
+        BOOST_STATIC_ASSERT( sizeof(PT)<=sizeof(NetworkFunctionPointer) ); // if this fails your compiler uses bigger pointers for a specific kind of member functions than defined above
+        NetworkFunctionPointer destptr;
+        copyPtr( ptr, destptr );
+        new NetworkMemberFunction<T>( createFunctor(ptr), name, destptr );
+        return 0;
+    }
+
+}
+
+#endif /* _NetworkFunctionIncludes_H__ */
Index: /code/branches/core7/src/modules/docking/Dock.cc
===================================================================
--- /code/branches/core7/src/modules/docking/Dock.cc	(revision 10464)
+++ /code/branches/core7/src/modules/docking/Dock.cc	(revision 10465)
@@ -38,5 +38,5 @@
 #include "core/GUIManager.h"
 #include "core/command/ConsoleCommandIncludes.h"
-#include "network/NetworkFunction.h"
+#include "network/NetworkFunctionIncludes.h"
 
 #include "infos/HumanPlayer.h"
Index: /code/branches/core7/src/modules/notifications/NotificationDispatcher.cc
===================================================================
--- /code/branches/core7/src/modules/notifications/NotificationDispatcher.cc	(revision 10464)
+++ /code/branches/core7/src/modules/notifications/NotificationDispatcher.cc	(revision 10465)
@@ -37,5 +37,5 @@
 #include "core/EventIncludes.h"
 #include "core/XMLPort.h"
-#include "network/NetworkFunction.h"
+#include "network/NetworkFunctionIncludes.h"
 #include "network/Host.h"
 
Index: /code/branches/core7/src/modules/objects/Script.cc
===================================================================
--- /code/branches/core7/src/modules/objects/Script.cc	(revision 10464)
+++ /code/branches/core7/src/modules/objects/Script.cc	(revision 10465)
@@ -37,5 +37,5 @@
 #include "core/XMLPort.h"
 #include "network/Host.h"
-#include "network/NetworkFunction.h"
+#include "network/NetworkFunctionIncludes.h"
 
 #include "PlayerManager.h"
Index: /code/branches/core7/src/modules/pickup/PickupManager.cc
===================================================================
--- /code/branches/core7/src/modules/pickup/PickupManager.cc	(revision 10464)
+++ /code/branches/core7/src/modules/pickup/PickupManager.cc	(revision 10465)
@@ -40,5 +40,5 @@
 #include "core/singleton/ScopedSingletonIncludes.h"
 #include "network/Host.h"
-#include "network/NetworkFunction.h"
+#include "network/NetworkFunctionIncludes.h"
 
 #include "infos/PlayerInfo.h"
Index: /code/branches/core7/src/orxonox/Test.cc
===================================================================
--- /code/branches/core7/src/orxonox/Test.cc	(revision 10464)
+++ /code/branches/core7/src/orxonox/Test.cc	(revision 10465)
@@ -30,5 +30,5 @@
 #include "core/config/ConfigValueIncludes.h"
 #include "core/command/ConsoleCommandIncludes.h"
-#include "network/NetworkFunction.h"
+#include "network/NetworkFunctionIncludes.h"
 #include "Test.h"
 #include "util/MultiType.h"
Index: /code/branches/core7/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- /code/branches/core7/src/orxonox/gamestates/GSRoot.cc	(revision 10464)
+++ /code/branches/core7/src/orxonox/gamestates/GSRoot.cc	(revision 10465)
@@ -34,5 +34,5 @@
 #include "core/GameMode.h"
 #include "core/command/ConsoleCommandIncludes.h"
-#include "network/NetworkFunction.h"
+#include "network/NetworkFunctionIncludes.h"
 #include "tools/Timer.h"
 #include "tools/interfaces/Tickable.h"
Index: /code/branches/core7/src/orxonox/infos/GametypeInfo.cc
===================================================================
--- /code/branches/core7/src/orxonox/infos/GametypeInfo.cc	(revision 10464)
+++ /code/branches/core7/src/orxonox/infos/GametypeInfo.cc	(revision 10465)
@@ -37,5 +37,5 @@
 #include "core/GameMode.h"
 #include "network/Host.h"
-#include "network/NetworkFunction.h"
+#include "network/NetworkFunctionIncludes.h"
 #include "util/Convert.h"
 
Index: /code/branches/core7/src/orxonox/interfaces/NotificationListener.cc
===================================================================
--- /code/branches/core7/src/orxonox/interfaces/NotificationListener.cc	(revision 10464)
+++ /code/branches/core7/src/orxonox/interfaces/NotificationListener.cc	(revision 10465)
@@ -34,5 +34,5 @@
 #include "core/CoreIncludes.h"
 #include "network/Host.h"
-#include "network/NetworkFunction.h"
+#include "network/NetworkFunctionIncludes.h"
 #include "util/SubString.h"
 
Index: /code/branches/core7/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- /code/branches/core7/src/orxonox/worldentities/ControllableEntity.cc	(revision 10464)
+++ /code/branches/core7/src/orxonox/worldentities/ControllableEntity.cc	(revision 10465)
@@ -36,5 +36,5 @@
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
-#include "network/NetworkFunction.h"
+#include "network/NetworkFunctionIncludes.h"
 
 #include "Scene.h"