Index: /data/trunk/materials/OrbStation_Antenna.material
===================================================================
--- /data/trunk/materials/OrbStation_Antenna.material	(revision 10501)
+++ /data/trunk/materials/OrbStation_Antenna.material	(revision 10501)
@@ -0,0 +1,20 @@
+
+material OrbStation_Antenna
+{
+	technique
+	{
+		pass OrbStation_Antenna
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.64 0.64 0.64 1
+			specular 0.5 0.5 0.5 1 12.5
+
+			texture_unit
+			{
+				texture OrbStation_Antenna.png
+			}
+		}
+
+	}
+
+}
Index: /data/trunk/materials/OrbStation_OpenPlat.material
===================================================================
--- /data/trunk/materials/OrbStation_OpenPlat.material	(revision 10501)
+++ /data/trunk/materials/OrbStation_OpenPlat.material	(revision 10501)
@@ -0,0 +1,20 @@
+
+material OrbStation_OpenPlat
+{
+	technique
+	{
+		pass OrbStation_OpenPlat
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.64 0.64 0.64 1
+			specular 0.5 0.5 0.5 1 12.5
+
+			texture_unit
+			{
+				texture OrbStation_OpenPlat.png
+			}
+		}
+
+	}
+
+}
Index: /data/trunk/materials/OrbStation_Parabola.material
===================================================================
--- /data/trunk/materials/OrbStation_Parabola.material	(revision 10501)
+++ /data/trunk/materials/OrbStation_Parabola.material	(revision 10501)
@@ -0,0 +1,20 @@
+
+material OrbStation_Parabola
+{
+	technique
+	{
+		pass OrbStation_Parabola
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.64 0.64 0.64 1
+			specular 0.5 0.5 0.5 1 12.5
+
+			texture_unit
+			{
+				texture OrbStation_Parabola.png
+			}
+		}
+
+	}
+
+}
Index: /data/trunk/materials/OrbStation_Platform.material
===================================================================
--- /data/trunk/materials/OrbStation_Platform.material	(revision 10501)
+++ /data/trunk/materials/OrbStation_Platform.material	(revision 10501)
@@ -0,0 +1,20 @@
+
+material OrbStation_Platform
+{
+	technique
+	{
+		pass OrbStation_Platform
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.64 0.64 0.64 1
+			specular 0.5 0.5 0.5 1 12.5
+
+			texture_unit
+			{
+				texture OrbStation_Platform.png
+			}
+		}
+
+	}
+
+}
Index: /data/trunk/materials/OrbStation_Ring_1.material
===================================================================
--- /data/trunk/materials/OrbStation_Ring_1.material	(revision 10501)
+++ /data/trunk/materials/OrbStation_Ring_1.material	(revision 10501)
@@ -0,0 +1,20 @@
+
+material OrbStation_Ring_1
+{
+	technique
+	{
+		pass OrbStation_Ring_1
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.64 0.64 0.64 1
+			specular 0.5 0.5 0.5 1 12.5
+
+			texture_unit
+			{
+				texture OrbStation_Ring_1.png
+			}
+		}
+
+	}
+
+}
Index: /data/trunk/materials/OrbStation_Ring_2.material
===================================================================
--- /data/trunk/materials/OrbStation_Ring_2.material	(revision 10501)
+++ /data/trunk/materials/OrbStation_Ring_2.material	(revision 10501)
@@ -0,0 +1,20 @@
+
+material OrbStation_Ring_2
+{
+	technique
+	{
+		pass OrbStation_Ring_2
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.64 0.64 0.64 1
+			specular 0.5 0.5 0.5 1 12.5
+
+			texture_unit
+			{
+				texture OrbStation_Ring_2.png
+			}
+		}
+
+	}
+
+}
Index: /data/trunk/materials/OrbStation_Ring_3.material
===================================================================
--- /data/trunk/materials/OrbStation_Ring_3.material	(revision 10501)
+++ /data/trunk/materials/OrbStation_Ring_3.material	(revision 10501)
@@ -0,0 +1,20 @@
+
+material OrbStation_Ring_3
+{
+	technique
+	{
+		pass OrbStation_Ring_3
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.64 0.64 0.64 1
+			specular 0.5 0.5 0.5 1 12.5
+
+			texture_unit
+			{
+				texture OrbStation_Ring_3.png
+			}
+		}
+
+	}
+
+}
Index: /data/trunk/materials/OrbStation_Ring_4.material
===================================================================
--- /data/trunk/materials/OrbStation_Ring_4.material	(revision 10501)
+++ /data/trunk/materials/OrbStation_Ring_4.material	(revision 10501)
@@ -0,0 +1,20 @@
+
+material OrbStation_Ring_4
+{
+	technique
+	{
+		pass OrbStation_Ring_4
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.64 0.64 0.64 1
+			specular 0.5 0.5 0.5 1 12.5
+
+			texture_unit
+			{
+				texture OrbStation_Ring_4.png
+			}
+		}
+
+	}
+
+}
Index: /data/trunk/materials/OrbStation_Ring_5.material
===================================================================
--- /data/trunk/materials/OrbStation_Ring_5.material	(revision 10501)
+++ /data/trunk/materials/OrbStation_Ring_5.material	(revision 10501)
@@ -0,0 +1,20 @@
+
+material OrbStation_Ring_5
+{
+	technique
+	{
+		pass OrbStation_Ring_5
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.64 0.64 0.64 1
+			specular 0.5 0.5 0.5 1 12.5
+
+			texture_unit
+			{
+				texture OrbStation_Ring_5.png
+			}
+		}
+
+	}
+
+}
Index: /data/trunk/materials/OrbStation_Sphere.material
===================================================================
--- /data/trunk/materials/OrbStation_Sphere.material	(revision 10501)
+++ /data/trunk/materials/OrbStation_Sphere.material	(revision 10501)
@@ -0,0 +1,20 @@
+
+material OrbStation_Sphere
+{
+	technique
+	{
+		pass OrbStation_Sphere
+		{
+			ambient 0.8 0.8 0.8 1
+			diffuse 0.64 0.64 0.64 1
+			specular 0.5 0.5 0.5 1 12.5
+
+			texture_unit
+			{
+				texture OrbStation_Sphere.png
+			}
+		}
+
+	}
+
+}