Index: branches/cleanup/src/lib/script_engine/account.cc
===================================================================
--- branches/cleanup/src/lib/script_engine/account.cc	(revision 10583)
+++ 	(revision )
@@ -1,35 +1,0 @@
-
-
-
-#include <iostream>
-
-#include "luaincl.h"
-#include "base_object.h"
-#include "lunar.h"
-
-#include "script_class.h"
-
-
-class Account : public BaseObject
-{
-  lua_Number m_balance;
-public:
-  Account(lua_State *L)      { m_balance = luaL_checknumber(L, 1); }
-  Account(double balance=0)    : m_balance(balance) { this->setClassID(CL_ACCOUNT, "Account"); }
-
-  void deposit (float value) { m_balance += value; };
-  void withdraw(float value) { m_balance -= value; };
-  float balance() { return m_balance; };
-
-  int deposit (lua_State *L) { m_balance += luaL_checknumber(L, 1); return 0; }
-  int withdraw(lua_State *L) { m_balance -= luaL_checknumber(L, 1); return 0; }
-  int balance (lua_State *L) { lua_pushnumber(L, m_balance); return 1; }
-  ~Account() { printf("deleted Account (%p)\n", this); }
-};
-
-
-
-CREATE_SCRIPTABLE_CLASS(Account, CL_ACCOUNT,
-                        addMethod("deposit", ExecutorLua1<Account, float>(&Account::deposit))
-                        ->addMethod("withdraw", ExecutorLua1<Account, float>(&Account::withdraw))
-                        ->addMethod("balance", ExecutorLua0ret<Account, float>(&Account::balance)));
Index: branches/cleanup/src/lib/script_engine/example.cc
===================================================================
--- branches/cleanup/src/lib/script_engine/example.cc	(revision 10583)
+++ 	(revision )
@@ -1,148 +1,0 @@
-
-#include <iostream>
-
-#include "luaincl.h"
-#include "lunar.h"
-#include "script.h"
-
-// create classdummys for the scripts
-CREATE_SCRIPTABLE_CLASS(Account, CL_ACCOUNT)
-CREATE_SCRIPTABLE_CLASS(Object, CL_TEST_OBJECT)
-
-    class Account : public BaseObject {
-      lua_Number m_balance;
-    public:
-      static const char className[];
-      static Lunar<Account>::RegType methods[];
-
-      Account(lua_State *L)      { m_balance = luaL_checknumber(L, 1); }
-      Account(double balance=0)    : m_balance(balance) { }
-
-      void deposit (float value) { m_balance += value; };
-      void withdraw(float value) { m_balance -= value; };
-      float balance() { return m_balance; };
-
-      int deposit (lua_State *L) { m_balance += luaL_checknumber(L, 1); return 0; }
-      int withdraw(lua_State *L) { m_balance -= luaL_checknumber(L, 1); return 0; }
-      int balance (lua_State *L) { lua_pushnumber(L, m_balance); return 1; }
-      ~Account() { printf("deleted Account (%p)\n", this); }
-    };
-
-    const char Account::className[] = "Account";
-
-    Lunar<Account>::RegType Account::methods[] = {
-      {"deposit", new ExecutorLua1<Account, float>(&Account::deposit)},
-      {"withdraw", new ExecutorLua1<Account, float>(&Account::withdraw)},
-      {"balance", new ExecutorLua0ret<Account, float>(&Account::balance)},
-      {0,NULL}
-    };
-
-
-    class Object : public BaseObject {
-      public:
-        static const char className[];
-        static Lunar<Object>::RegType methods[];
-
-        Object(lua_State* L) {callCount = 0; }
-        Object(){callCount = 0;};
-        ~Object() { printf("deleted Object (%p)\n", this); }
-
-        //meber functions
-        void takeParam(int i)
-        {
-         printf("Lua passed %i to c++\n",i);
-        }
-
-        int printName(lua_State* L)
-        {
-          this->printName();
-          return 0;
-        }
-
-        void printName()
-        {
-          callCount ++;
-          printf("Hi i'm object %p ! This is the %i. call.\n",this,callCount);
-        }
-
-        int getCallCount(){ return callCount; }
-
-      private:
-        int callCount;
-
-    };
-
-    const char Object::className[] = "Object";
-
-    Lunar<Object>::RegType Object::methods[] = {
-      {"printName", new ExecutorLua0<Object>(&Object::printName)},
-      {"getCallCount", new ExecutorLua0ret<Object, int>(&Object::getCallCount)},
-      {"takeParam", new ExecutorLua1<Object, int>(&Object::takeParam)},
-      {0,0}
-    };
-
-    int main(int argc, char *argv[])
-    {
-      std::string file("lunartest2.lua");
-     // Script script;
-      Script* script = ScriptManager::getInstance()->getScriptByFile(file);
-      printf("-------------------------- top of the stack:%i\n",lua_gettop(script->getLuaState()));
-
-      // Register classes with the script
-      // Lunar<Account>::Register(&script);
-      //Lunar<Object>::Register(&script);
-
-      //Object* obj= new Object();
-      //Account a;
-      //Account *b = new Account(30);
-
-      // Add instances to the script
-      //Lunar<Object>::insertObject(&script,obj,"Obj",true);
-      //Lunar<Account>::insertObject(&script,&a,"a",false);
-      //Lunar<Account>::insertObject(&script,b,"b",true);
-       //printf("-------------------------- top of the stack:%i\n",lua_gettop(script.getLuaState()));
-
-      //Load a file
-      //std::string file("lunartest2.lua");
-
-      //if(script.loadFile(file))
-        //printf("File %s succefully loaded\n", file.c_str());
-      //printf("-------------------------- top of the stack:%i\n",lua_gettop(script.getLuaState()));
-
-      //execute a function
-      printf("----------- main -----------\n");
-      std::string main("main");
-      if( script->selectFunction(main,3))
-       printf("function %s selected\n",main.c_str());
-
-      script->pushParam(3.14159,main);
-      script->executeFunction();
-
-      float retf = script->getReturnedFloat();
-      printf("main returned %f\n",retf);
-
-
-      if(script->getReturnedBool())
-       printf("main returned true\n");
-      else
-       printf("main returned false\n");
-
-      int ret = script->getReturnedInt();
-      printf("main returned %i\n",ret);
-
-      //printf("-------------------------- top of the stack:%i\n",lua_gettop(script.getLuaState()));
-      //execute a 2nd function
-      printf("----------- test -----------\n");
-      std::string test("test");
-      if( script->selectFunction(test,0))
-       printf("function %s selected\n",test.c_str());
-
-      script->executeFunction();
-
-
-      //if(argc>1) lua_dofile(script.getLuaState(), argv[1]);
-      printf("-------------------------- top of the stack:%i\n",lua_gettop(script->getLuaState()));
-
-      return 0;
-    }
-
Index: branches/cleanup/src/lib/script_engine/object.cc
===================================================================
--- branches/cleanup/src/lib/script_engine/object.cc	(revision 10583)
+++ 	(revision )
@@ -1,46 +1,0 @@
-
-#include <iostream>
-
-#include "base_object.h"
-#include "lunar.h"
-
-#include "script_class.h"
-
-
-class Object : public BaseObject
-{
-public:
-  Object(lua_State* L) {callCount = 0; }
-  Object(){callCount = 0;this->setClassID(CL_TEST_OBJECT, "Object");};
-  ~Object() { printf("deleted Object (%p)\n", this); }
-
-  //meber functions
-  void takeParam(int i)
-  {
-    printf("Lua passed %i to c++\n",i);
-  }
-
-  int printName(lua_State* L)
-  {
-    this->printName();
-    return 0;
-  }
-
-  void printName()
-  {
-    callCount ++;
-    printf("Hi i'm object %p ! This is the %i. call.\n",this,callCount);
-  }
-
-  int getCallCount(){ return callCount; }
-
-private:
-  int callCount;
-
-};
-
-
-CREATE_SCRIPTABLE_CLASS(Object, CL_TEST_OBJECT,
-                        addMethod("printName", ExecutorLua0<Object>(&Object::printName))
-                        ->addMethod("getCallCount", ExecutorLua0ret<Object, int>(&Object::getCallCount))
-                        ->addMethod("takeParam", ExecutorLua1<Object, int>(&Object::takeParam)));
Index: branches/cleanup/src/story_entities/game_world.cc
===================================================================
--- branches/cleanup/src/story_entities/game_world.cc	(revision 10583)
+++ branches/cleanup/src/story_entities/game_world.cc	(revision 10585)
@@ -193,13 +193,4 @@
   this->dataXML = (TiXmlElement*)root->Clone();
 
-  //remove this after finished testing !!!!
-  //Object* obj= new Object();
-  //obj->setName("Obj");
-  //Account* a = new Account();
-  //a->setName("a");
-  //Account *b = new Account(30);
-  //b->setName("b");
-
-
   LoadParamXML(root, "ScriptManager", &this->scriptManager, ScriptManager, loadParams);
 
Index: branches/cleanup/src/world_entities/script_trigger.cc
===================================================================
--- branches/cleanup/src/world_entities/script_trigger.cc	(revision 10583)
+++ branches/cleanup/src/world_entities/script_trigger.cc	(revision 10585)
@@ -244,47 +244,2 @@
   }
 }
-
-/*
- void ScriptTrigger::testScriptingFramework()
-{
-   std::string file("lunartest2.lua");
-   //get script
-   Script* script = State::getScriptManager()->getScriptByFile(file);
-   printf("-------------------------- top of the stack:%i\n",lua_gettop(script->getLuaState()));
-
-      //execute a function
-   printf("----------- main -----------\n");
-   std::string main("main");
-   if( script->selectFunction(main,3))
-     printf("function %s selected\n",main.c_str());
-
-   script->pushParam(3.14159,main);
-   printf("-------------------------- top of the stack:%i\n",lua_gettop(script->getLuaState()));
-   script->executeFunction();
-
-   int ret = script->getReturnedInt();
-   printf("main returned %i\n",ret);
-
-   if(script->getReturnedBool())
-     printf("main returned true\n");
-   else
-     printf("main returned false\n");
-
-   float retf = script->getReturnedFloat();
-   printf("main returned %f\n",retf);
-
-
-   printf("-------------------------- top of the stack:%i\n",lua_gettop(script->getLuaState()));
-      //execute a 2nd function
-   printf("----------- test -----------\n");
-   std::string test("test");
-   if( script->selectFunction(test,0))
-     printf("function %s selected\n",test.c_str());
-
-   script->executeFunction();
-
-
-      //if(argc>1) lua_dofile(script.getLuaState(), argv[1]);
-   printf("-------------------------- top of the stack:%i\n",lua_gettop(script->getLuaState()));
-
-}*/
Index: branches/cleanup/src/world_entities/script_trigger.h
===================================================================
--- branches/cleanup/src/world_entities/script_trigger.h	(revision 10583)
+++ branches/cleanup/src/world_entities/script_trigger.h	(revision 10585)
@@ -30,5 +30,4 @@
     virtual void tick(float timestep);
     virtual void executeAction(float timestep);
-    void testScriptingFramework();
 
     /// SET MEMBER