Index: code/branches/clangenb/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/clangenb/data/levels/emptyLevel.oxw	(revision 10495)
+++ code/branches/clangenb/data/levels/emptyLevel.oxw	(revision 10596)
@@ -15,5 +15,5 @@
   include("templates/spaceshipAssff2.oxt")
   include("templates/spaceshipPirate.oxt")
-  include("templates/spaceshipHeartAttack.oxt")
+  include("templates/spaceshipEscort.oxt")
 ?>
 
@@ -30,25 +30,6 @@
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipHeartAttack />
-    <SpaceShip position="0,2000,200" lookat="0,0,0" name="movingtarget" radarname="Pirate">
-                            <events>
-                                <visibility>
-                                    <EventListener event="boxtrigger4" />
-                                </visibility>
-                            </events>
-                    <templates>
-                      <Template link=spaceshippirate />
-                    </templates>
-                    <controller>
-                      <WaypointController team=1>
-                         <waypoints>
-                          <Model mesh="cube.mesh" scale=8 position="  0,1700,-200" />
-                          <Model mesh="cube.mesh" scale=8 position="  0,1700,-700" />
-                          <Model mesh="cube.mesh" scale=8 position="500,1700,-700" />
-                          <Model mesh="cube.mesh" scale=8 position="500,1700,-200" />
-                       </waypoints>
-                    </WaypointController>
-                  </controller>
-                </SpaceShip>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+    
   </Scene>
 </Level>
Index: code/branches/clangenb/src/modules/weapons/weaponmodes/EnergyDrink.cc
===================================================================
--- code/branches/clangenb/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 10495)
+++ code/branches/clangenb/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 10596)
@@ -108,5 +108,5 @@
         model->setScale(5);
 
-	this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
+        this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
         projectile->setOrientation(this->getMuzzleOrientation());
         projectile->setPosition(this->getMuzzlePosition());
Index: code/branches/clangenb/src/modules/weapons/weaponmodes/FusionFire.cc
===================================================================
--- code/branches/clangenb/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 10495)
+++ code/branches/clangenb/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 10596)
@@ -67,6 +67,6 @@
     {
         BillboardProjectile* projectile = new BillboardProjectile(this->getContext());
-	
-	this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
+
+        this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
         projectile->setOrientation(this->getMuzzleOrientation());
         projectile->setPosition(this->getMuzzlePosition());
Index: code/branches/clangenb/src/modules/weapons/weaponmodes/LaserFire.cc
===================================================================
--- code/branches/clangenb/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 10495)
+++ code/branches/clangenb/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 10596)
@@ -66,5 +66,5 @@
         ParticleProjectile* projectile = new ParticleProjectile(this->getContext());
 
-	this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
+        this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
         projectile->setOrientation(this->getMuzzleOrientation());
         projectile->setPosition(this->getMuzzlePosition());