Index: code/branches/formationFS15/data/levels/templates/orbStation.oxt
===================================================================
--- code/branches/formationFS15/data/levels/templates/orbStation.oxt	(revision 10500)
+++ code/branches/formationFS15/data/levels/templates/orbStation.oxt	(revision 10598)
@@ -1,66 +1,64 @@
 <Template name=orbStation>
-	<MovableEntity>
-		<attached>
-			
+  <MovableEntity>
+    <attached>
+      
 
-			<MovableEntity rotationaxis = "0,1,0" rotationrate="50,0,0">
-				<attached>
-					<Model position=“0,0,0“ yaw = 0 mesh="OrbStation_Sphere.mesh" scale="40"/>
-				</attached>
-			</MovableEntity>
+      <MovableEntity rotationaxis = "0,1,0" rotationrate="50,0,0">
+        <attached>
+          <Model position=“0,0,0“ yaw = 0 mesh="OrbStation_Sphere.mesh" scale="40"/>
+        </attached>
+      </MovableEntity>
 
-			<MovableEntity rotationaxis = "1,1,1" rotationrate="50,0,0">
-				<attached>
-					<Model position=“0,0,0“ mesh="OrbStation_Ring_2.mesh" scale="40" />
-				</attached>
-			</MovableEntity>
+      <MovableEntity rotationaxis = "1,1,1" rotationrate="50,0,0">
+        <attached>
+          <Model position=“0,0,0“ mesh="OrbStation_Ring_2.mesh" scale="40" />
+        </attached>
+      </MovableEntity>
 
-			<MovableEntity rotationaxis = "1,1,-1" rotationrate="50,0,0">
-				<attached>
-					 <Model position=“0,0,0“ mesh="OrbStation_Ring_3.mesh" scale="40" />
-				</attached>
-			</MovableEntity>
+      <MovableEntity rotationaxis = "1,1,-1" rotationrate="50,0,0">
+        <attached>
+           <Model position=“0,0,0“ mesh="OrbStation_Ring_3.mesh" scale="40" />
+        </attached>
+      </MovableEntity>
 
-			<MovableEntity rotationaxis = "-1,1,1" rotationrate="50,0,0">
-				<attached>
-					<Model position=“0,0,0“ mesh="OrbStation_Ring_4.mesh" scale="40" />
-				</attached>
-			</MovableEntity>
+      <MovableEntity rotationaxis = "-1,1,1" rotationrate="50,0,0">
+        <attached>
+          <Model position=“0,0,0“ mesh="OrbStation_Ring_4.mesh" scale="40" />
+        </attached>
+      </MovableEntity>
 
-			<MovableEntity rotationaxis = "-1,1,-1" rotationrate="50,0,0">
-				<attached>
-					<Model position=“0,0,0“ mesh="OrbStation_Ring_5.mesh" scale="40"/>
-				</attached>
-			</MovableEntity>
+      <MovableEntity rotationaxis = "-1,1,-1" rotationrate="50,0,0">
+        <attached>
+          <Model position=“0,0,0“ mesh="OrbStation_Ring_5.mesh" scale="40"/>
+        </attached>
+      </MovableEntity>
 
-			<MovableEntity rotationaxis = "0,1,0" rotationrate="1,0,0">
-				<attached>
-					
-					
-					<Model position=“0,0,0“ mesh="OrbStation_Ring_1.mesh" scale="40" />
+      <MovableEntity rotationaxis = "0,1,0" rotationrate="1,0,0">
+        <attached>
+          
+          
+          <Model position=“0,0,0“ mesh="OrbStation_Ring_1.mesh" scale="40" />
 
-					<Model position= "180,0,0" yaw = 0 mesh="OrbStation_Platform.mesh" scale="40"/>
-					<Model position= "0,0,180" yaw = -90 mesh="OrbStation_Platform.mesh" scale="40"/>
-					<Model position= "0,0,-180" yaw = -90 mesh="OrbStation_OpenPlat.mesh" scale="40"/>
-					
-					<Model position= "-200,0,0" yaw = 90 mesh="OrbStation_Antenna.mesh" scale="40"/>					
-					<MovableEntity position= "-305,0,0" rotationaxis = "1,0,0" rotationrate="50,0,0">
-						<attached>
-							<Model position= "0,0,0" yaw = 90 mesh="OrbStation_Parabola.mesh" scale="40"/>
-						</attached>
-					</MovableEntity>
-					
+          <Model position= "180,0,0" yaw = 0 mesh="OrbStation_Platform.mesh" scale="40"/>
+          <Model position= "0,0,180" yaw = -90 mesh="OrbStation_Platform.mesh" scale="40"/>
+          <Model position= "0,0,-180" yaw = -90 mesh="OrbStation_OpenPlat.mesh" scale="40"/>
+          
+          <Model position= "-200,0,0" yaw = 90 mesh="OrbStation_Antenna.mesh" scale="40"/>          
+          <MovableEntity position= "-305,0,0" rotationaxis = "1,0,0" rotationrate="50,0,0">
+            <attached>
+              <Model position= "0,0,0" yaw = 90 mesh="OrbStation_Parabola.mesh" scale="40"/>
+            </attached>
+          </MovableEntity>
+          
 
-				</attached>
-			</MovableEntity>
+        </attached>
+      </MovableEntity>
 
 
-	      		<Backlight position="0,0,0" scale=10 colour="0.2, 0.4, 0.8" width=100 length=500 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" loop=1 />
+      <Backlight position="0,0,0" scale=10 colour="0.2, 0.4, 0.8" width=100 length=500 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" loop=1 />
 
+    </attached>
+  </MovableEntity>
+</Template>
+  
 
-
-		</attached>
-	</MovableEntity>
-</Template>
-	
-